Skip to main content
GET
/
Project
/
My
Get current user's projects
curl --request GET \
  --url https://api.plantpredict.terabase.energy/Project/My \
  --header 'Authorization: Bearer <token>'
[
  {
    "latitude": 37.09024,
    "longitude": -95.712891,
    "country": "United States",
    "countryCode": "US",
    "stateProvince": "Kansas",
    "stateProvinceCode": "KS",
    "locality": "Montgomery County",
    "region": "North America",
    "elevation": 257.4061584472656,
    "standardOffsetFromUTC": -6,
    "status": 0,
    "distance": 0,
    "id": 187745,
    "name": "Mock Project Sunflower",
    "companyId": 1042,
    "createdDate": "2024-10-23T12:50:21.497"
  },
  {
    "latitude": 31,
    "longitude": -95,
    "country": "United States",
    "countryCode": "US",
    "stateProvince": "Texas",
    "stateProvinceCode": "TX",
    "locality": "Groveton",
    "region": "North America",
    "elevation": 128.1359710693359,
    "standardOffsetFromUTC": -6,
    "status": 0,
    "distance": 0,
    "id": 187746,
    "name": "Mock Project Pine Ridge",
    "companyId": 1042,
    "createdDate": "2024-10-23T12:58:32.03"
  },
  {
    "latitude": -34.122009101021725,
    "longitude": 150.4711842668258,
    "country": "Australia",
    "countryCode": "AU",
    "stateProvince": "New South Wales",
    "stateProvinceCode": "NSW",
    "locality": "Oakdale",
    "region": "Australia",
    "elevation": 250.9766998291016,
    "standardOffsetFromUTC": 10,
    "status": 0,
    "distance": 0,
    "id": 187747,
    "name": "Mock Project Southern Sky",
    "companyId": 1042,
    "createdDate": "2024-10-23T12:59:23.027"
  },
  {
    "latitude": -15.79453658771201,
    "longitude": -47.2072032901765,
    "country": "Brazil",
    "countryCode": "BR",
    "stateProvince": "Goiás",
    "stateProvinceCode": "GO",
    "locality": "Formosa",
    "region": "South America",
    "elevation": 912.9883422851562,
    "standardOffsetFromUTC": -3,
    "status": 0,
    "distance": 0,
    "id": 187748,
    "name": "Mock Project Cerrado",
    "companyId": 1042,
    "createdDate": "2024-10-23T13:03:51.75"
  },
  {
    "latitude": 41.6528052,
    "longitude": -83.5378674,
    "country": "United States",
    "countryCode": "US",
    "stateProvince": "Ohio",
    "stateProvinceCode": "OH",
    "locality": "Toledo",
    "region": "North America",
    "elevation": 178.5460357666016,
    "standardOffsetFromUTC": -5,
    "status": 0,
    "distance": 0,
    "id": 187749,
    "name": "Mock Project Papertrail",
    "companyId": 1042,
    "createdDate": "2024-10-23T13:04:30.243"
  },
  {
    "latitude": 35.42887998943477,
    "longitude": -81.85512828232781,
    "country": "United States",
    "countryCode": "US",
    "stateProvince": "North Carolina",
    "stateProvinceCode": "NC",
    "locality": "Bostic",
    "region": "North America",
    "elevation": 299.8757629394531,
    "standardOffsetFromUTC": -5,
    "status": 0,
    "distance": 0,
    "id": 190210,
    "name": "Mock Project Blue Horizon",
    "companyId": 1042,
    "createdDate": "2025-10-22T19:22:47.63"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.plantpredict.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Pass Authorization: Bearer <token> on every request. See the Authentication section of the API description for how to fetch a token.

Query Parameters

status
integer

Response

Array of projects

name
string
required
latitude
number<double>
required
longitude
number<double>
required
id
integer
read-only
description
string | null
elevation
number<double>
country
string
countryCode
string
stateProvince
string
stateProvinceCode
string
locality
string
region
string
standardOffsetFromUTC
number
status
enum<integer>

ProjectStatusEnum

Available options:
0,
1,
2
predictions
object[]
companyId
integer
read-only
createdDate
string<date-time>
read-only